package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 洪水知识库对象 flood_knowledge_base
 *
 * @author jackeyhuang
 * @version 1.0.0
 * @date 2025-01-27
 */
public class FloodKnowledgeBase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 知识库ID */
    private Long knowledgeId;

    /** 知识库名称（目录名） */
    @Excel(name = "知识库名称")
    private String knowledgeName;

    /** 知识库描述 */
    @Excel(name = "知识库描述")
    private String knowledgeDesc;

    /** 文件数量 */
    @Excel(name = "文件数量", cellType = ColumnType.NUMERIC)
    private Integer fileCount;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public void setKnowledgeId(Long knowledgeId)
    {
        this.knowledgeId = knowledgeId;
    }

    public Long getKnowledgeId()
    {
        return knowledgeId;
    }

    public void setKnowledgeName(String knowledgeName)
    {
        this.knowledgeName = knowledgeName;
    }

    public String getKnowledgeName()
    {
        return knowledgeName;
    }

    public void setKnowledgeDesc(String knowledgeDesc)
    {
        this.knowledgeDesc = knowledgeDesc;
    }

    public String getKnowledgeDesc()
    {
        return knowledgeDesc;
    }

    public void setFileCount(Integer fileCount)
    {
        this.fileCount = fileCount;
    }

    public Integer getFileCount()
    {
        return fileCount;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("knowledgeId", getKnowledgeId())
            .append("knowledgeName", getKnowledgeName())
            .append("knowledgeDesc", getKnowledgeDesc())
            .append("fileCount", getFileCount())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
